package de.jmstest;

import javax.annotation.Resource;
import javax.ejb.ActivationConfigProperty;
import javax.ejb.MessageDriven;
import javax.ejb.MessageDrivenContext;
import javax.ejb.TransactionAttribute;
import javax.ejb.TransactionAttributeType;
import javax.ejb.TransactionManagement;
import javax.ejb.TransactionManagementType;
import javax.jms.Message;
import javax.jms.MessageListener;

import org.jboss.ejb3.annotation.ResourceAdapter;

/**
 * Message-Driven Bean implementation class for: ClientOne
 * 
 */
@MessageDriven(activationConfig = {
		@ActivationConfigProperty(propertyName = "destinationType", propertyValue = "javax.jms.Topic"),
		@ActivationConfigProperty(propertyName = "destination", propertyValue = "java:/topic/TOPIC_PERSISTENT"

		),
		@ActivationConfigProperty(propertyName = "clientID", propertyValue = "ClientFive"),
		@ActivationConfigProperty(propertyName = "reconnectInterval", propertyValue = "1"),
		@ActivationConfigProperty(propertyName = "maxSession", propertyValue = "100") }, mappedName = "java:/topic/TOPIC_PERSISTENT")
@TransactionManagement(value = TransactionManagementType.CONTAINER)
@TransactionAttribute(value = TransactionAttributeType.REQUIRED)

@ResourceAdapter("hornetq-ra.rar")

public class ClientFour implements MessageListener {

	@Resource
	   MessageDrivenContext ctx;

	/**
	 * Default constructor.
	 */
	public ClientFour() {

	}
 
	/**
	 * @see MessageListener#onMessage(Message)
	 */
	public void onMessage(Message message) {
		try {
			System.out.println("do nothing");
						

		} catch (Exception e) {
			e.printStackTrace();
		}

	}

}
