package de.jmstest;

import javax.annotation.Resource;
import javax.ejb.ActivationConfigProperty;
import javax.ejb.MessageDriven;
import javax.ejb.MessageDrivenContext;
import javax.ejb.TransactionAttribute;
import javax.ejb.TransactionAttributeType;
import javax.ejb.TransactionManagement;
import javax.ejb.TransactionManagementType;
import javax.jms.Message;
import javax.jms.MessageListener;

import org.jboss.ejb3.annotation.ResourceAdapter;

/**
 * Message-Driven Bean implementation class for: ClientOne
 * 
 */
@MessageDriven(activationConfig = {
		@ActivationConfigProperty(propertyName = "destinationType", propertyValue = "javax.jms.Topic"),
		@ActivationConfigProperty(propertyName = "destination", propertyValue = "java:/topic/TOPIC_PERSISTENT"

		),
		@ActivationConfigProperty(propertyName = "clientID", propertyValue = "ClientTwo"),
		@ActivationConfigProperty(propertyName = "reconnectInterval", propertyValue = "1"),
		@ActivationConfigProperty(propertyName = "maxSession", propertyValue = "100") }, mappedName = "java:/topic/TOPIC_PERSISTENT")
@TransactionManagement(value = TransactionManagementType.CONTAINER)
@TransactionAttribute(value = TransactionAttributeType.REQUIRED)

@ResourceAdapter("hornetq-ra.rar")

public class ClientTwo implements MessageListener {

	@Resource
	   MessageDrivenContext ctx;

	/**
	 * Default constructor.
	 */
	public ClientTwo() {

	}
 
	/**
	 * @see MessageListener#onMessage(Message)
	 */
	public void onMessage(Message message) {
		try {
			System.out.println("do nothing");
			
			//System.out.println("write to nulloutput! ");
			//message.setObjectProperty("JMS_HQ_SaveStream", NullOutputStream.INSTANCE);
			//System.out.println("do nothing!");
			/*HornetQMessage hm = (HornetQMessage) message; 
			if ( hm.getCoreMessage().isLargeMessage()) { 
				if (log.isDebugEnabled()) log.debug("Large message");
				ClientLargeMessageImpl  lm = (ClientLargeMessageImpl ) hm.getCoreMessage();
				
				if ( processor == null ){
					/* AJ 29.09.2016
					 * aus irgendeinem Grund bleibt der Puffer reserviert wenn der Stream nicht rausgeschrieben wird.
					 * da wir ihn in diesem Fall nicht brauchen, einfach in einen NullOutput schreiben
					 * 
					 */
					
			/*		if (log.isDebugEnabled()) log.debug("save to null output stream");
					
					message.setObjectProperty("JMS_HQ_SaveStream",
							NullOutputStream.INSTANCE);*/

						

		} catch (Exception e) {
			e.printStackTrace();
		}

	}

}
